# chris-oag
The ChRIS Ultron BackEnd (CUBE) is the core backend API of ChRIS. It manages ChRIS users, plugins, pipelines, and the provenance of data analyses as ChRIS feeds.

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: ${GITHUB_REF_NAME:1}
- Package version: 0.0.1
- Generator version: 7.9.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://chrisproject.org](https://chrisproject.org)

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/FNNDSC/openapi-clients.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/FNNDSC/openapi-clients.git`)

Then import the package:
```python
import chris_oag
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import chris_oag
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import chris_oag
from chris_oag.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = chris_oag.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basicAuth
configuration = chris_oag.Configuration(
    username = os.environ["USERNAME"],
    password = os.environ["PASSWORD"]
)

# Configure API key authorization: tokenAuth
configuration.api_key['tokenAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['tokenAuth'] = 'Bearer'

# Configure API key authorization: cookieAuth
configuration.api_key['cookieAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['cookieAuth'] = 'Bearer'


# Enter a context with an instance of the API client
with chris_oag.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = chris_oag.AuthTokenApi(api_client)
    username = 'username_example' # str | 
    password = 'password_example' # str | 

    try:
        api_response = api_instance.auth_token_create(username, password)
        print("The response of AuthTokenApi->auth_token_create:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AuthTokenApi->auth_token_create: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AuthTokenApi* | [**auth_token_create**](docs/AuthTokenApi.md#auth_token_create) | **POST** /api/v1/auth-token/ | 
*ChrisAdminApi* | [**chris_admin_api_v1_computeresources_create**](docs/ChrisAdminApi.md#chris_admin_api_v1_computeresources_create) | **POST** /chris-admin/api/v1/computeresources/ | 
*ChrisAdminApi* | [**chris_admin_api_v1_computeresources_destroy**](docs/ChrisAdminApi.md#chris_admin_api_v1_computeresources_destroy) | **DELETE** /chris-admin/api/v1/computeresources/{id}/ | 
*ChrisAdminApi* | [**chris_admin_api_v1_computeresources_list**](docs/ChrisAdminApi.md#chris_admin_api_v1_computeresources_list) | **GET** /chris-admin/api/v1/computeresources/ | 
*ChrisAdminApi* | [**chris_admin_api_v1_computeresources_retrieve**](docs/ChrisAdminApi.md#chris_admin_api_v1_computeresources_retrieve) | **GET** /chris-admin/api/v1/computeresources/{id}/ | 
*ChrisAdminApi* | [**chris_admin_api_v1_create**](docs/ChrisAdminApi.md#chris_admin_api_v1_create) | **POST** /chris-admin/api/v1/ | 
*ChrisAdminApi* | [**chris_admin_api_v1_destroy**](docs/ChrisAdminApi.md#chris_admin_api_v1_destroy) | **DELETE** /chris-admin/api/v1/{id}/ | 
*ChrisAdminApi* | [**chris_admin_api_v1_list**](docs/ChrisAdminApi.md#chris_admin_api_v1_list) | **GET** /chris-admin/api/v1/ | 
*ChrisAdminApi* | [**chris_admin_api_v1_retrieve**](docs/ChrisAdminApi.md#chris_admin_api_v1_retrieve) | **GET** /chris-admin/api/v1/{id}/ | 
*ChrisAdminApi* | [**chris_admin_api_v1_update**](docs/ChrisAdminApi.md#chris_admin_api_v1_update) | **PUT** /chris-admin/api/v1/{id}/ | 
*ChrisinstanceApi* | [**chrisinstance_retrieve**](docs/ChrisinstanceApi.md#chrisinstance_retrieve) | **GET** /api/v1/chrisinstance/{id}/ | 
*CommentsApi* | [**comments_create**](docs/CommentsApi.md#comments_create) | **POST** /api/v1/{id}/comments/ | 
*CommentsApi* | [**comments_destroy**](docs/CommentsApi.md#comments_destroy) | **DELETE** /api/v1/comments/{id}/ | 
*CommentsApi* | [**comments_list**](docs/CommentsApi.md#comments_list) | **GET** /api/v1/{id}/comments/ | 
*CommentsApi* | [**comments_retrieve**](docs/CommentsApi.md#comments_retrieve) | **GET** /api/v1/comments/{id}/ | 
*CommentsApi* | [**comments_search_list**](docs/CommentsApi.md#comments_search_list) | **GET** /api/v1/{id}/comments/search/ | 
*CommentsApi* | [**comments_update**](docs/CommentsApi.md#comments_update) | **PUT** /api/v1/comments/{id}/ | 
*ComputeresourcesApi* | [**computeresources_list**](docs/ComputeresourcesApi.md#computeresources_list) | **GET** /api/v1/computeresources/ | 
*ComputeresourcesApi* | [**computeresources_retrieve**](docs/ComputeresourcesApi.md#computeresources_retrieve) | **GET** /api/v1/computeresources/{id}/ | 
*ComputeresourcesApi* | [**computeresources_search_list**](docs/ComputeresourcesApi.md#computeresources_search_list) | **GET** /api/v1/computeresources/search/ | 
*DefaultApi* | [**root_destroy**](docs/DefaultApi.md#root_destroy) | **DELETE** /api/v1/{id}/ | 
*DefaultApi* | [**root_list**](docs/DefaultApi.md#root_list) | **GET** /api/v1/ | 
*DefaultApi* | [**root_retrieve**](docs/DefaultApi.md#root_retrieve) | **GET** /api/v1/{id}/ | 
*DefaultApi* | [**root_update**](docs/DefaultApi.md#root_update) | **PUT** /api/v1/{id}/ | 
*DownloadtokensApi* | [**downloadtokens_create**](docs/DownloadtokensApi.md#downloadtokens_create) | **POST** /api/v1/downloadtokens/ | 
*DownloadtokensApi* | [**downloadtokens_list**](docs/DownloadtokensApi.md#downloadtokens_list) | **GET** /api/v1/downloadtokens/ | 
*DownloadtokensApi* | [**downloadtokens_retrieve**](docs/DownloadtokensApi.md#downloadtokens_retrieve) | **GET** /api/v1/downloadtokens/{id}/ | 
*DownloadtokensApi* | [**downloadtokens_search_list**](docs/DownloadtokensApi.md#downloadtokens_search_list) | **GET** /api/v1/downloadtokens/search/ | 
*FilebrowserApi* | [**filebrowser_children_list**](docs/FilebrowserApi.md#filebrowser_children_list) | **GET** /api/v1/filebrowser/{id}/children/ | 
*FilebrowserApi* | [**filebrowser_create**](docs/FilebrowserApi.md#filebrowser_create) | **POST** /api/v1/filebrowser/ | 
*FilebrowserApi* | [**filebrowser_destroy**](docs/FilebrowserApi.md#filebrowser_destroy) | **DELETE** /api/v1/filebrowser/{id}/ | 
*FilebrowserApi* | [**filebrowser_files_destroy**](docs/FilebrowserApi.md#filebrowser_files_destroy) | **DELETE** /api/v1/filebrowser/files/{id}/ | 
*FilebrowserApi* | [**filebrowser_files_grouppermissions_create**](docs/FilebrowserApi.md#filebrowser_files_grouppermissions_create) | **POST** /api/v1/filebrowser/files/{id}/grouppermissions/ | 
*FilebrowserApi* | [**filebrowser_files_grouppermissions_destroy**](docs/FilebrowserApi.md#filebrowser_files_grouppermissions_destroy) | **DELETE** /api/v1/filebrowser/files/grouppermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_files_grouppermissions_list**](docs/FilebrowserApi.md#filebrowser_files_grouppermissions_list) | **GET** /api/v1/filebrowser/files/{id}/grouppermissions/ | 
*FilebrowserApi* | [**filebrowser_files_grouppermissions_retrieve**](docs/FilebrowserApi.md#filebrowser_files_grouppermissions_retrieve) | **GET** /api/v1/filebrowser/files/grouppermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_files_grouppermissions_search_list**](docs/FilebrowserApi.md#filebrowser_files_grouppermissions_search_list) | **GET** /api/v1/filebrowser/files/{id}/grouppermissions/search/ | 
*FilebrowserApi* | [**filebrowser_files_grouppermissions_update**](docs/FilebrowserApi.md#filebrowser_files_grouppermissions_update) | **PUT** /api/v1/filebrowser/files/grouppermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_files_list**](docs/FilebrowserApi.md#filebrowser_files_list) | **GET** /api/v1/filebrowser/{id}/files/ | 
*FilebrowserApi* | [**filebrowser_files_retrieve**](docs/FilebrowserApi.md#filebrowser_files_retrieve) | **GET** /api/v1/filebrowser/files/{id}/ | 
*FilebrowserApi* | [**filebrowser_files_retrieve_0**](docs/FilebrowserApi.md#filebrowser_files_retrieve_0) | **GET** /api/v1/filebrowser/files/{id}/. | 
*FilebrowserApi* | [**filebrowser_files_update**](docs/FilebrowserApi.md#filebrowser_files_update) | **PUT** /api/v1/filebrowser/files/{id}/ | 
*FilebrowserApi* | [**filebrowser_files_userpermissions_create**](docs/FilebrowserApi.md#filebrowser_files_userpermissions_create) | **POST** /api/v1/filebrowser/files/{id}/userpermissions/ | 
*FilebrowserApi* | [**filebrowser_files_userpermissions_destroy**](docs/FilebrowserApi.md#filebrowser_files_userpermissions_destroy) | **DELETE** /api/v1/filebrowser/files/userpermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_files_userpermissions_list**](docs/FilebrowserApi.md#filebrowser_files_userpermissions_list) | **GET** /api/v1/filebrowser/files/{id}/userpermissions/ | 
*FilebrowserApi* | [**filebrowser_files_userpermissions_retrieve**](docs/FilebrowserApi.md#filebrowser_files_userpermissions_retrieve) | **GET** /api/v1/filebrowser/files/userpermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_files_userpermissions_search_list**](docs/FilebrowserApi.md#filebrowser_files_userpermissions_search_list) | **GET** /api/v1/filebrowser/files/{id}/userpermissions/search/ | 
*FilebrowserApi* | [**filebrowser_files_userpermissions_update**](docs/FilebrowserApi.md#filebrowser_files_userpermissions_update) | **PUT** /api/v1/filebrowser/files/userpermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_grouppermissions_create**](docs/FilebrowserApi.md#filebrowser_grouppermissions_create) | **POST** /api/v1/filebrowser/{id}/grouppermissions/ | 
*FilebrowserApi* | [**filebrowser_grouppermissions_destroy**](docs/FilebrowserApi.md#filebrowser_grouppermissions_destroy) | **DELETE** /api/v1/filebrowser/grouppermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_grouppermissions_list**](docs/FilebrowserApi.md#filebrowser_grouppermissions_list) | **GET** /api/v1/filebrowser/{id}/grouppermissions/ | 
*FilebrowserApi* | [**filebrowser_grouppermissions_retrieve**](docs/FilebrowserApi.md#filebrowser_grouppermissions_retrieve) | **GET** /api/v1/filebrowser/grouppermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_grouppermissions_search_list**](docs/FilebrowserApi.md#filebrowser_grouppermissions_search_list) | **GET** /api/v1/filebrowser/{id}/grouppermissions/search/ | 
*FilebrowserApi* | [**filebrowser_grouppermissions_update**](docs/FilebrowserApi.md#filebrowser_grouppermissions_update) | **PUT** /api/v1/filebrowser/grouppermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_destroy**](docs/FilebrowserApi.md#filebrowser_linkfiles_destroy) | **DELETE** /api/v1/filebrowser/linkfiles/{id}/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_grouppermissions_create**](docs/FilebrowserApi.md#filebrowser_linkfiles_grouppermissions_create) | **POST** /api/v1/filebrowser/linkfiles/{id}/grouppermissions/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_grouppermissions_destroy**](docs/FilebrowserApi.md#filebrowser_linkfiles_grouppermissions_destroy) | **DELETE** /api/v1/filebrowser/linkfiles/grouppermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_grouppermissions_list**](docs/FilebrowserApi.md#filebrowser_linkfiles_grouppermissions_list) | **GET** /api/v1/filebrowser/linkfiles/{id}/grouppermissions/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_grouppermissions_retrieve**](docs/FilebrowserApi.md#filebrowser_linkfiles_grouppermissions_retrieve) | **GET** /api/v1/filebrowser/linkfiles/grouppermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_grouppermissions_search_list**](docs/FilebrowserApi.md#filebrowser_linkfiles_grouppermissions_search_list) | **GET** /api/v1/filebrowser/linkfiles/{id}/grouppermissions/search/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_grouppermissions_update**](docs/FilebrowserApi.md#filebrowser_linkfiles_grouppermissions_update) | **PUT** /api/v1/filebrowser/linkfiles/grouppermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_list**](docs/FilebrowserApi.md#filebrowser_linkfiles_list) | **GET** /api/v1/filebrowser/{id}/linkfiles/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_retrieve**](docs/FilebrowserApi.md#filebrowser_linkfiles_retrieve) | **GET** /api/v1/filebrowser/linkfiles/{id}/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_retrieve_0**](docs/FilebrowserApi.md#filebrowser_linkfiles_retrieve_0) | **GET** /api/v1/filebrowser/linkfiles/{id}/. | 
*FilebrowserApi* | [**filebrowser_linkfiles_update**](docs/FilebrowserApi.md#filebrowser_linkfiles_update) | **PUT** /api/v1/filebrowser/linkfiles/{id}/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_userpermissions_create**](docs/FilebrowserApi.md#filebrowser_linkfiles_userpermissions_create) | **POST** /api/v1/filebrowser/linkfiles/{id}/userpermissions/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_userpermissions_destroy**](docs/FilebrowserApi.md#filebrowser_linkfiles_userpermissions_destroy) | **DELETE** /api/v1/filebrowser/linkfiles/userpermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_userpermissions_list**](docs/FilebrowserApi.md#filebrowser_linkfiles_userpermissions_list) | **GET** /api/v1/filebrowser/linkfiles/{id}/userpermissions/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_userpermissions_retrieve**](docs/FilebrowserApi.md#filebrowser_linkfiles_userpermissions_retrieve) | **GET** /api/v1/filebrowser/linkfiles/userpermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_userpermissions_search_list**](docs/FilebrowserApi.md#filebrowser_linkfiles_userpermissions_search_list) | **GET** /api/v1/filebrowser/linkfiles/{id}/userpermissions/search/ | 
*FilebrowserApi* | [**filebrowser_linkfiles_userpermissions_update**](docs/FilebrowserApi.md#filebrowser_linkfiles_userpermissions_update) | **PUT** /api/v1/filebrowser/linkfiles/userpermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_list**](docs/FilebrowserApi.md#filebrowser_list) | **GET** /api/v1/filebrowser/ | 
*FilebrowserApi* | [**filebrowser_retrieve**](docs/FilebrowserApi.md#filebrowser_retrieve) | **GET** /api/v1/filebrowser/{id}/ | 
*FilebrowserApi* | [**filebrowser_search_list**](docs/FilebrowserApi.md#filebrowser_search_list) | **GET** /api/v1/filebrowser/search/ | 
*FilebrowserApi* | [**filebrowser_update**](docs/FilebrowserApi.md#filebrowser_update) | **PUT** /api/v1/filebrowser/{id}/ | 
*FilebrowserApi* | [**filebrowser_userpermissions_create**](docs/FilebrowserApi.md#filebrowser_userpermissions_create) | **POST** /api/v1/filebrowser/{id}/userpermissions/ | 
*FilebrowserApi* | [**filebrowser_userpermissions_destroy**](docs/FilebrowserApi.md#filebrowser_userpermissions_destroy) | **DELETE** /api/v1/filebrowser/userpermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_userpermissions_list**](docs/FilebrowserApi.md#filebrowser_userpermissions_list) | **GET** /api/v1/filebrowser/{id}/userpermissions/ | 
*FilebrowserApi* | [**filebrowser_userpermissions_retrieve**](docs/FilebrowserApi.md#filebrowser_userpermissions_retrieve) | **GET** /api/v1/filebrowser/userpermissions/{id}/ | 
*FilebrowserApi* | [**filebrowser_userpermissions_search_list**](docs/FilebrowserApi.md#filebrowser_userpermissions_search_list) | **GET** /api/v1/filebrowser/{id}/userpermissions/search/ | 
*FilebrowserApi* | [**filebrowser_userpermissions_update**](docs/FilebrowserApi.md#filebrowser_userpermissions_update) | **PUT** /api/v1/filebrowser/userpermissions/{id}/ | 
*GrouppermissionsApi* | [**grouppermissions_create**](docs/GrouppermissionsApi.md#grouppermissions_create) | **POST** /api/v1/{id}/grouppermissions/ | 
*GrouppermissionsApi* | [**grouppermissions_destroy**](docs/GrouppermissionsApi.md#grouppermissions_destroy) | **DELETE** /api/v1/grouppermissions/{id}/ | 
*GrouppermissionsApi* | [**grouppermissions_list**](docs/GrouppermissionsApi.md#grouppermissions_list) | **GET** /api/v1/{id}/grouppermissions/ | 
*GrouppermissionsApi* | [**grouppermissions_retrieve**](docs/GrouppermissionsApi.md#grouppermissions_retrieve) | **GET** /api/v1/grouppermissions/{id}/ | 
*GrouppermissionsApi* | [**grouppermissions_search_list**](docs/GrouppermissionsApi.md#grouppermissions_search_list) | **GET** /api/v1/{id}/grouppermissions/search/ | 
*GroupsApi* | [**groups_create**](docs/GroupsApi.md#groups_create) | **POST** /api/v1/groups/ | 
*GroupsApi* | [**groups_destroy**](docs/GroupsApi.md#groups_destroy) | **DELETE** /api/v1/groups/{id}/ | 
*GroupsApi* | [**groups_list**](docs/GroupsApi.md#groups_list) | **GET** /api/v1/groups/ | 
*GroupsApi* | [**groups_retrieve**](docs/GroupsApi.md#groups_retrieve) | **GET** /api/v1/groups/{id}/ | 
*GroupsApi* | [**groups_search_list**](docs/GroupsApi.md#groups_search_list) | **GET** /api/v1/groups/search/ | 
*GroupsApi* | [**groups_users_create**](docs/GroupsApi.md#groups_users_create) | **POST** /api/v1/groups/{id}/users/ | 
*GroupsApi* | [**groups_users_destroy**](docs/GroupsApi.md#groups_users_destroy) | **DELETE** /api/v1/groups/users/{id}/ | 
*GroupsApi* | [**groups_users_list**](docs/GroupsApi.md#groups_users_list) | **GET** /api/v1/groups/{id}/users/ | 
*GroupsApi* | [**groups_users_retrieve**](docs/GroupsApi.md#groups_users_retrieve) | **GET** /api/v1/groups/users/{id}/ | 
*GroupsApi* | [**groups_users_search_list**](docs/GroupsApi.md#groups_users_search_list) | **GET** /api/v1/groups/{id}/users/search/ | 
*NoteApi* | [**note_retrieve**](docs/NoteApi.md#note_retrieve) | **GET** /api/v1/note{id}/ | 
*NoteApi* | [**note_update**](docs/NoteApi.md#note_update) | **PUT** /api/v1/note{id}/ | 
*PacsApi* | [**pacs_files_list**](docs/PacsApi.md#pacs_files_list) | **GET** /api/v1/pacs/files/ | 
*PacsApi* | [**pacs_files_retrieve**](docs/PacsApi.md#pacs_files_retrieve) | **GET** /api/v1/pacs/files/{id}/ | 
*PacsApi* | [**pacs_files_retrieve_0**](docs/PacsApi.md#pacs_files_retrieve_0) | **GET** /api/v1/pacs/files/{id}/. | 
*PacsApi* | [**pacs_files_search_list**](docs/PacsApi.md#pacs_files_search_list) | **GET** /api/v1/pacs/files/search/ | 
*PacsApi* | [**pacs_series_list**](docs/PacsApi.md#pacs_series_list) | **GET** /api/v1/pacs/series/ | 
*PacsApi* | [**pacs_series_retrieve**](docs/PacsApi.md#pacs_series_retrieve) | **GET** /api/v1/pacs/series/{id}/ | 
*PacsApi* | [**pacs_series_search_list**](docs/PacsApi.md#pacs_series_search_list) | **GET** /api/v1/pacs/series/search/ | 
*PipelinesApi* | [**all_workflows_list**](docs/PipelinesApi.md#all_workflows_list) | **GET** /api/v1/pipelines/workflows/ | 
*PipelinesApi* | [**pipelines_boolean_parameter_retrieve**](docs/PipelinesApi.md#pipelines_boolean_parameter_retrieve) | **GET** /api/v1/pipelines/boolean-parameter/{id}/ | 
*PipelinesApi* | [**pipelines_boolean_parameter_update**](docs/PipelinesApi.md#pipelines_boolean_parameter_update) | **PUT** /api/v1/pipelines/boolean-parameter/{id}/ | 
*PipelinesApi* | [**pipelines_create**](docs/PipelinesApi.md#pipelines_create) | **POST** /api/v1/pipelines/ | 
*PipelinesApi* | [**pipelines_destroy**](docs/PipelinesApi.md#pipelines_destroy) | **DELETE** /api/v1/pipelines/{id}/ | 
*PipelinesApi* | [**pipelines_float_parameter_retrieve**](docs/PipelinesApi.md#pipelines_float_parameter_retrieve) | **GET** /api/v1/pipelines/float-parameter/{id}/ | 
*PipelinesApi* | [**pipelines_float_parameter_update**](docs/PipelinesApi.md#pipelines_float_parameter_update) | **PUT** /api/v1/pipelines/float-parameter/{id}/ | 
*PipelinesApi* | [**pipelines_integer_parameter_retrieve**](docs/PipelinesApi.md#pipelines_integer_parameter_retrieve) | **GET** /api/v1/pipelines/integer-parameter/{id}/ | 
*PipelinesApi* | [**pipelines_integer_parameter_update**](docs/PipelinesApi.md#pipelines_integer_parameter_update) | **PUT** /api/v1/pipelines/integer-parameter/{id}/ | 
*PipelinesApi* | [**pipelines_json_retrieve**](docs/PipelinesApi.md#pipelines_json_retrieve) | **GET** /api/v1/pipelines/{id}/json/ | 
*PipelinesApi* | [**pipelines_list**](docs/PipelinesApi.md#pipelines_list) | **GET** /api/v1/pipelines/ | 
*PipelinesApi* | [**pipelines_parameters_list**](docs/PipelinesApi.md#pipelines_parameters_list) | **GET** /api/v1/pipelines/{id}/parameters/ | 
*PipelinesApi* | [**pipelines_pipings_list**](docs/PipelinesApi.md#pipelines_pipings_list) | **GET** /api/v1/pipelines/{id}/pipings/ | 
*PipelinesApi* | [**pipelines_pipings_retrieve**](docs/PipelinesApi.md#pipelines_pipings_retrieve) | **GET** /api/v1/pipelines/pipings/{id}/ | 
*PipelinesApi* | [**pipelines_plugins_list**](docs/PipelinesApi.md#pipelines_plugins_list) | **GET** /api/v1/pipelines/{id}/plugins/ | 
*PipelinesApi* | [**pipelines_retrieve**](docs/PipelinesApi.md#pipelines_retrieve) | **GET** /api/v1/pipelines/{id}/ | 
*PipelinesApi* | [**pipelines_search_list**](docs/PipelinesApi.md#pipelines_search_list) | **GET** /api/v1/pipelines/search/ | 
*PipelinesApi* | [**pipelines_sourcefiles_create**](docs/PipelinesApi.md#pipelines_sourcefiles_create) | **POST** /api/v1/pipelines/sourcefiles/ | 
*PipelinesApi* | [**pipelines_sourcefiles_list**](docs/PipelinesApi.md#pipelines_sourcefiles_list) | **GET** /api/v1/pipelines/sourcefiles/ | 
*PipelinesApi* | [**pipelines_sourcefiles_retrieve**](docs/PipelinesApi.md#pipelines_sourcefiles_retrieve) | **GET** /api/v1/pipelines/sourcefiles/{id}/ | 
*PipelinesApi* | [**pipelines_sourcefiles_retrieve_0**](docs/PipelinesApi.md#pipelines_sourcefiles_retrieve_0) | **GET** /api/v1/pipelines/sourcefiles/{id}/. | 
*PipelinesApi* | [**pipelines_sourcefiles_search_list**](docs/PipelinesApi.md#pipelines_sourcefiles_search_list) | **GET** /api/v1/pipelines/sourcefiles/search/ | 
*PipelinesApi* | [**pipelines_string_parameter_retrieve**](docs/PipelinesApi.md#pipelines_string_parameter_retrieve) | **GET** /api/v1/pipelines/string-parameter/{id}/ | 
*PipelinesApi* | [**pipelines_string_parameter_update**](docs/PipelinesApi.md#pipelines_string_parameter_update) | **PUT** /api/v1/pipelines/string-parameter/{id}/ | 
*PipelinesApi* | [**pipelines_update**](docs/PipelinesApi.md#pipelines_update) | **PUT** /api/v1/pipelines/{id}/ | 
*PipelinesApi* | [**pipelines_workflows_create**](docs/PipelinesApi.md#pipelines_workflows_create) | **POST** /api/v1/pipelines/{id}/workflows/ | 
*PipelinesApi* | [**pipelines_workflows_destroy**](docs/PipelinesApi.md#pipelines_workflows_destroy) | **DELETE** /api/v1/pipelines/workflows/{id}/ | 
*PipelinesApi* | [**pipelines_workflows_plugininstances_list**](docs/PipelinesApi.md#pipelines_workflows_plugininstances_list) | **GET** /api/v1/pipelines/workflows/{id}/plugininstances/ | 
*PipelinesApi* | [**pipelines_workflows_retrieve**](docs/PipelinesApi.md#pipelines_workflows_retrieve) | **GET** /api/v1/pipelines/workflows/{id}/ | 
*PipelinesApi* | [**pipelines_workflows_search_list**](docs/PipelinesApi.md#pipelines_workflows_search_list) | **GET** /api/v1/pipelines/workflows/search/ | 
*PipelinesApi* | [**pipelines_workflows_update**](docs/PipelinesApi.md#pipelines_workflows_update) | **PUT** /api/v1/pipelines/workflows/{id}/ | 
*PipelinesApi* | [**workflows_list**](docs/PipelinesApi.md#workflows_list) | **GET** /api/v1/pipelines/{id}/workflows/ | 
*PlugininstancesApi* | [**plugininstances_list**](docs/PlugininstancesApi.md#plugininstances_list) | **GET** /api/v1/{id}/plugininstances/ | 
*PluginsApi* | [**all_plugins_instances_list**](docs/PluginsApi.md#all_plugins_instances_list) | **GET** /api/v1/plugins/instances/ | 
*PluginsApi* | [**plugins_boolean_parameter_retrieve**](docs/PluginsApi.md#plugins_boolean_parameter_retrieve) | **GET** /api/v1/plugins/boolean-parameter/{id}/ | 
*PluginsApi* | [**plugins_computeresources_list**](docs/PluginsApi.md#plugins_computeresources_list) | **GET** /api/v1/plugins/{id}/computeresources/ | 
*PluginsApi* | [**plugins_float_parameter_retrieve**](docs/PluginsApi.md#plugins_float_parameter_retrieve) | **GET** /api/v1/plugins/float-parameter/{id}/ | 
*PluginsApi* | [**plugins_instances_create**](docs/PluginsApi.md#plugins_instances_create) | **POST** /api/v1/plugins/{id}/instances/ | 
*PluginsApi* | [**plugins_instances_descendants_list**](docs/PluginsApi.md#plugins_instances_descendants_list) | **GET** /api/v1/plugins/instances/{id}/descendants/ | 
*PluginsApi* | [**plugins_instances_destroy**](docs/PluginsApi.md#plugins_instances_destroy) | **DELETE** /api/v1/plugins/instances/{id}/ | 
*PluginsApi* | [**plugins_instances_list**](docs/PluginsApi.md#plugins_instances_list) | **GET** /api/v1/plugins/{id}/instances/ | 
*PluginsApi* | [**plugins_instances_parameters_list**](docs/PluginsApi.md#plugins_instances_parameters_list) | **GET** /api/v1/plugins/instances/{id}/parameters/ | 
*PluginsApi* | [**plugins_instances_retrieve**](docs/PluginsApi.md#plugins_instances_retrieve) | **GET** /api/v1/plugins/instances/{id}/ | 
*PluginsApi* | [**plugins_instances_search_list**](docs/PluginsApi.md#plugins_instances_search_list) | **GET** /api/v1/plugins/instances/search/ | 
*PluginsApi* | [**plugins_instances_splits_create**](docs/PluginsApi.md#plugins_instances_splits_create) | **POST** /api/v1/plugins/instances/{id}/splits/ | 
*PluginsApi* | [**plugins_instances_splits_list**](docs/PluginsApi.md#plugins_instances_splits_list) | **GET** /api/v1/plugins/instances/{id}/splits/ | 
*PluginsApi* | [**plugins_instances_splits_retrieve**](docs/PluginsApi.md#plugins_instances_splits_retrieve) | **GET** /api/v1/plugins/instances/splits/{id}/ | 
*PluginsApi* | [**plugins_instances_update**](docs/PluginsApi.md#plugins_instances_update) | **PUT** /api/v1/plugins/instances/{id}/ | 
*PluginsApi* | [**plugins_integer_parameter_retrieve**](docs/PluginsApi.md#plugins_integer_parameter_retrieve) | **GET** /api/v1/plugins/integer-parameter/{id}/ | 
*PluginsApi* | [**plugins_list**](docs/PluginsApi.md#plugins_list) | **GET** /api/v1/plugins/ | 
*PluginsApi* | [**plugins_metas_list**](docs/PluginsApi.md#plugins_metas_list) | **GET** /api/v1/plugins/metas/ | 
*PluginsApi* | [**plugins_metas_plugins_list**](docs/PluginsApi.md#plugins_metas_plugins_list) | **GET** /api/v1/plugins/metas/{id}/plugins/ | 
*PluginsApi* | [**plugins_metas_retrieve**](docs/PluginsApi.md#plugins_metas_retrieve) | **GET** /api/v1/plugins/metas/{id}/ | 
*PluginsApi* | [**plugins_metas_search_list**](docs/PluginsApi.md#plugins_metas_search_list) | **GET** /api/v1/plugins/metas/search/ | 
*PluginsApi* | [**plugins_parameters_list**](docs/PluginsApi.md#plugins_parameters_list) | **GET** /api/v1/plugins/{id}/parameters/ | 
*PluginsApi* | [**plugins_parameters_retrieve**](docs/PluginsApi.md#plugins_parameters_retrieve) | **GET** /api/v1/plugins/parameters/{id}/ | 
*PluginsApi* | [**plugins_path_parameter_retrieve**](docs/PluginsApi.md#plugins_path_parameter_retrieve) | **GET** /api/v1/plugins/path-parameter/{id}/ | 
*PluginsApi* | [**plugins_retrieve**](docs/PluginsApi.md#plugins_retrieve) | **GET** /api/v1/plugins/{id}/ | 
*PluginsApi* | [**plugins_search_list**](docs/PluginsApi.md#plugins_search_list) | **GET** /api/v1/plugins/search/ | 
*PluginsApi* | [**plugins_string_parameter_retrieve**](docs/PluginsApi.md#plugins_string_parameter_retrieve) | **GET** /api/v1/plugins/string-parameter/{id}/ | 
*PluginsApi* | [**plugins_unextpath_parameter_retrieve**](docs/PluginsApi.md#plugins_unextpath_parameter_retrieve) | **GET** /api/v1/plugins/unextpath-parameter/{id}/ | 
*PublicfeedsApi* | [**publicfeeds_list**](docs/PublicfeedsApi.md#publicfeeds_list) | **GET** /api/v1/publicfeeds/ | 
*PublicfeedsApi* | [**publicfeeds_search_list**](docs/PublicfeedsApi.md#publicfeeds_search_list) | **GET** /api/v1/publicfeeds/search/ | 
*SchemaApi* | [**schema_retrieve**](docs/SchemaApi.md#schema_retrieve) | **GET** /schema/ | 
*SearchApi* | [**search_list**](docs/SearchApi.md#search_list) | **GET** /api/v1/search/ | 
*TaggingsApi* | [**taggings_create**](docs/TaggingsApi.md#taggings_create) | **POST** /api/v1/{id}/taggings/ | 
*TaggingsApi* | [**taggings_destroy**](docs/TaggingsApi.md#taggings_destroy) | **DELETE** /api/v1/taggings/{id}/ | 
*TaggingsApi* | [**taggings_list**](docs/TaggingsApi.md#taggings_list) | **GET** /api/v1/{id}/taggings/ | 
*TaggingsApi* | [**taggings_retrieve**](docs/TaggingsApi.md#taggings_retrieve) | **GET** /api/v1/taggings/{id}/ | 
*TagsApi* | [**feed_tags_list**](docs/TagsApi.md#feed_tags_list) | **GET** /api/v1/{id}/tags/ | 
*TagsApi* | [**tags_create**](docs/TagsApi.md#tags_create) | **POST** /api/v1/tags/ | 
*TagsApi* | [**tags_destroy**](docs/TagsApi.md#tags_destroy) | **DELETE** /api/v1/tags/{id}/ | 
*TagsApi* | [**tags_feeds_list**](docs/TagsApi.md#tags_feeds_list) | **GET** /api/v1/tags/{id}/feeds/ | 
*TagsApi* | [**tags_list**](docs/TagsApi.md#tags_list) | **GET** /api/v1/tags/ | 
*TagsApi* | [**tags_retrieve**](docs/TagsApi.md#tags_retrieve) | **GET** /api/v1/tags/{id}/ | 
*TagsApi* | [**tags_search_list**](docs/TagsApi.md#tags_search_list) | **GET** /api/v1/tags/search/ | 
*TagsApi* | [**tags_taggings_create**](docs/TagsApi.md#tags_taggings_create) | **POST** /api/v1/tags/{id}/taggings/ | 
*TagsApi* | [**tags_taggings_list**](docs/TagsApi.md#tags_taggings_list) | **GET** /api/v1/tags/{id}/taggings/ | 
*TagsApi* | [**tags_update**](docs/TagsApi.md#tags_update) | **PUT** /api/v1/tags/{id}/ | 
*UserfilesApi* | [**userfiles_create**](docs/UserfilesApi.md#userfiles_create) | **POST** /api/v1/userfiles/ | 
*UserfilesApi* | [**userfiles_destroy**](docs/UserfilesApi.md#userfiles_destroy) | **DELETE** /api/v1/userfiles/{id}/ | 
*UserfilesApi* | [**userfiles_list**](docs/UserfilesApi.md#userfiles_list) | **GET** /api/v1/userfiles/ | 
*UserfilesApi* | [**userfiles_retrieve**](docs/UserfilesApi.md#userfiles_retrieve) | **GET** /api/v1/userfiles/{id}/ | 
*UserfilesApi* | [**userfiles_retrieve_0**](docs/UserfilesApi.md#userfiles_retrieve_0) | **GET** /api/v1/userfiles/{id}/. | 
*UserfilesApi* | [**userfiles_search_list**](docs/UserfilesApi.md#userfiles_search_list) | **GET** /api/v1/userfiles/search/ | 
*UserfilesApi* | [**userfiles_update**](docs/UserfilesApi.md#userfiles_update) | **PUT** /api/v1/userfiles/{id}/ | 
*UserpermissionsApi* | [**userpermissions_create**](docs/UserpermissionsApi.md#userpermissions_create) | **POST** /api/v1/{id}/userpermissions/ | 
*UserpermissionsApi* | [**userpermissions_destroy**](docs/UserpermissionsApi.md#userpermissions_destroy) | **DELETE** /api/v1/userpermissions/{id}/ | 
*UserpermissionsApi* | [**userpermissions_list**](docs/UserpermissionsApi.md#userpermissions_list) | **GET** /api/v1/{id}/userpermissions/ | 
*UserpermissionsApi* | [**userpermissions_retrieve**](docs/UserpermissionsApi.md#userpermissions_retrieve) | **GET** /api/v1/userpermissions/{id}/ | 
*UserpermissionsApi* | [**userpermissions_search_list**](docs/UserpermissionsApi.md#userpermissions_search_list) | **GET** /api/v1/{id}/userpermissions/search/ | 
*UsersApi* | [**users_create**](docs/UsersApi.md#users_create) | **POST** /api/v1/users/ | 
*UsersApi* | [**users_groups_list**](docs/UsersApi.md#users_groups_list) | **GET** /api/v1/users/{id}/groups/ | 
*UsersApi* | [**users_list**](docs/UsersApi.md#users_list) | **GET** /api/v1/users/ | 
*UsersApi* | [**users_retrieve**](docs/UsersApi.md#users_retrieve) | **GET** /api/v1/users/{id}/ | 
*UsersApi* | [**users_update**](docs/UsersApi.md#users_update) | **PUT** /api/v1/users/{id}/ | 


## Documentation For Models

 - [AuthToken](docs/AuthToken.md)
 - [AuthTokenRequest](docs/AuthTokenRequest.md)
 - [BlankEnum](docs/BlankEnum.md)
 - [BoolParameter](docs/BoolParameter.md)
 - [ChrisInstance](docs/ChrisInstance.md)
 - [Comment](docs/Comment.md)
 - [CommentRequest](docs/CommentRequest.md)
 - [ComputeResource](docs/ComputeResource.md)
 - [ComputeResourceRequest](docs/ComputeResourceRequest.md)
 - [DefaultPipingBoolParameter](docs/DefaultPipingBoolParameter.md)
 - [DefaultPipingBoolParameterRequest](docs/DefaultPipingBoolParameterRequest.md)
 - [DefaultPipingFloatParameter](docs/DefaultPipingFloatParameter.md)
 - [DefaultPipingFloatParameterRequest](docs/DefaultPipingFloatParameterRequest.md)
 - [DefaultPipingIntParameter](docs/DefaultPipingIntParameter.md)
 - [DefaultPipingIntParameterRequest](docs/DefaultPipingIntParameterRequest.md)
 - [DefaultPipingStrParameter](docs/DefaultPipingStrParameter.md)
 - [DefaultPipingStrParameterRequest](docs/DefaultPipingStrParameterRequest.md)
 - [Feed](docs/Feed.md)
 - [FeedGroupPermission](docs/FeedGroupPermission.md)
 - [FeedGroupPermissionRequest](docs/FeedGroupPermissionRequest.md)
 - [FeedRequest](docs/FeedRequest.md)
 - [FeedUserPermission](docs/FeedUserPermission.md)
 - [FeedUserPermissionRequest](docs/FeedUserPermissionRequest.md)
 - [FileBrowserFile](docs/FileBrowserFile.md)
 - [FileBrowserFileGroupPermission](docs/FileBrowserFileGroupPermission.md)
 - [FileBrowserFileGroupPermissionRequest](docs/FileBrowserFileGroupPermissionRequest.md)
 - [FileBrowserFileRequest](docs/FileBrowserFileRequest.md)
 - [FileBrowserFileUserPermission](docs/FileBrowserFileUserPermission.md)
 - [FileBrowserFileUserPermissionRequest](docs/FileBrowserFileUserPermissionRequest.md)
 - [FileBrowserFolder](docs/FileBrowserFolder.md)
 - [FileBrowserFolderGroupPermission](docs/FileBrowserFolderGroupPermission.md)
 - [FileBrowserFolderGroupPermissionRequest](docs/FileBrowserFolderGroupPermissionRequest.md)
 - [FileBrowserFolderRequest](docs/FileBrowserFolderRequest.md)
 - [FileBrowserFolderUserPermission](docs/FileBrowserFolderUserPermission.md)
 - [FileBrowserFolderUserPermissionRequest](docs/FileBrowserFolderUserPermissionRequest.md)
 - [FileBrowserLinkFile](docs/FileBrowserLinkFile.md)
 - [FileBrowserLinkFileGroupPermission](docs/FileBrowserLinkFileGroupPermission.md)
 - [FileBrowserLinkFileGroupPermissionRequest](docs/FileBrowserLinkFileGroupPermissionRequest.md)
 - [FileBrowserLinkFileRequest](docs/FileBrowserLinkFileRequest.md)
 - [FileBrowserLinkFileUserPermission](docs/FileBrowserLinkFileUserPermission.md)
 - [FileBrowserLinkFileUserPermissionRequest](docs/FileBrowserLinkFileUserPermissionRequest.md)
 - [FileDownloadToken](docs/FileDownloadToken.md)
 - [FileDownloadTokenRequest](docs/FileDownloadTokenRequest.md)
 - [FloatParameter](docs/FloatParameter.md)
 - [FtypeEnum](docs/FtypeEnum.md)
 - [GenericDefaultPipingParameter](docs/GenericDefaultPipingParameter.md)
 - [GenericDefaultPipingParameterValue](docs/GenericDefaultPipingParameterValue.md)
 - [GenericParameter](docs/GenericParameter.md)
 - [Group](docs/Group.md)
 - [GroupRequest](docs/GroupRequest.md)
 - [GroupUser](docs/GroupUser.md)
 - [GroupUserRequest](docs/GroupUserRequest.md)
 - [IntParameter](docs/IntParameter.md)
 - [Note](docs/Note.md)
 - [NoteRequest](docs/NoteRequest.md)
 - [PACSFile](docs/PACSFile.md)
 - [PACSSeries](docs/PACSSeries.md)
 - [PACSSeriesPatientSex](docs/PACSSeriesPatientSex.md)
 - [PaginatedCommentList](docs/PaginatedCommentList.md)
 - [PaginatedComputeResourceList](docs/PaginatedComputeResourceList.md)
 - [PaginatedFeedGroupPermissionList](docs/PaginatedFeedGroupPermissionList.md)
 - [PaginatedFeedList](docs/PaginatedFeedList.md)
 - [PaginatedFeedUserPermissionList](docs/PaginatedFeedUserPermissionList.md)
 - [PaginatedFileBrowserFileGroupPermissionList](docs/PaginatedFileBrowserFileGroupPermissionList.md)
 - [PaginatedFileBrowserFileList](docs/PaginatedFileBrowserFileList.md)
 - [PaginatedFileBrowserFileUserPermissionList](docs/PaginatedFileBrowserFileUserPermissionList.md)
 - [PaginatedFileBrowserFolderGroupPermissionList](docs/PaginatedFileBrowserFolderGroupPermissionList.md)
 - [PaginatedFileBrowserFolderList](docs/PaginatedFileBrowserFolderList.md)
 - [PaginatedFileBrowserFolderUserPermissionList](docs/PaginatedFileBrowserFolderUserPermissionList.md)
 - [PaginatedFileBrowserLinkFileGroupPermissionList](docs/PaginatedFileBrowserLinkFileGroupPermissionList.md)
 - [PaginatedFileBrowserLinkFileList](docs/PaginatedFileBrowserLinkFileList.md)
 - [PaginatedFileBrowserLinkFileUserPermissionList](docs/PaginatedFileBrowserLinkFileUserPermissionList.md)
 - [PaginatedFileDownloadTokenList](docs/PaginatedFileDownloadTokenList.md)
 - [PaginatedGenericDefaultPipingParameterList](docs/PaginatedGenericDefaultPipingParameterList.md)
 - [PaginatedGenericParameterList](docs/PaginatedGenericParameterList.md)
 - [PaginatedGroupList](docs/PaginatedGroupList.md)
 - [PaginatedGroupUserList](docs/PaginatedGroupUserList.md)
 - [PaginatedPACSFileList](docs/PaginatedPACSFileList.md)
 - [PaginatedPACSSeriesList](docs/PaginatedPACSSeriesList.md)
 - [PaginatedPipelineList](docs/PaginatedPipelineList.md)
 - [PaginatedPipelineSourceFileList](docs/PaginatedPipelineSourceFileList.md)
 - [PaginatedPluginAdminList](docs/PaginatedPluginAdminList.md)
 - [PaginatedPluginInstanceList](docs/PaginatedPluginInstanceList.md)
 - [PaginatedPluginInstanceSplitList](docs/PaginatedPluginInstanceSplitList.md)
 - [PaginatedPluginList](docs/PaginatedPluginList.md)
 - [PaginatedPluginMetaList](docs/PaginatedPluginMetaList.md)
 - [PaginatedPluginParameterList](docs/PaginatedPluginParameterList.md)
 - [PaginatedPluginPipingList](docs/PaginatedPluginPipingList.md)
 - [PaginatedTagList](docs/PaginatedTagList.md)
 - [PaginatedTaggingList](docs/PaginatedTaggingList.md)
 - [PaginatedUserFileList](docs/PaginatedUserFileList.md)
 - [PaginatedUserList](docs/PaginatedUserList.md)
 - [PaginatedWorkflowList](docs/PaginatedWorkflowList.md)
 - [PathParameter](docs/PathParameter.md)
 - [PatientSexEnum](docs/PatientSexEnum.md)
 - [PermissionEnum](docs/PermissionEnum.md)
 - [Pipeline](docs/Pipeline.md)
 - [PipelineCustomJson](docs/PipelineCustomJson.md)
 - [PipelineRequest](docs/PipelineRequest.md)
 - [PipelineSourceFile](docs/PipelineSourceFile.md)
 - [PipelineSourceFileFtype](docs/PipelineSourceFileFtype.md)
 - [PipelineSourceFileRequest](docs/PipelineSourceFileRequest.md)
 - [Plugin](docs/Plugin.md)
 - [PluginAdmin](docs/PluginAdmin.md)
 - [PluginAdminRequest](docs/PluginAdminRequest.md)
 - [PluginInstance](docs/PluginInstance.md)
 - [PluginInstanceRequest](docs/PluginInstanceRequest.md)
 - [PluginInstanceSplit](docs/PluginInstanceSplit.md)
 - [PluginInstanceSplitRequest](docs/PluginInstanceSplitRequest.md)
 - [PluginMeta](docs/PluginMeta.md)
 - [PluginParameter](docs/PluginParameter.md)
 - [PluginParameterDefault](docs/PluginParameterDefault.md)
 - [PluginParameterType](docs/PluginParameterType.md)
 - [PluginPiping](docs/PluginPiping.md)
 - [PluginType](docs/PluginType.md)
 - [StatusEnum](docs/StatusEnum.md)
 - [StrParameter](docs/StrParameter.md)
 - [Tag](docs/Tag.md)
 - [TagRequest](docs/TagRequest.md)
 - [Tagging](docs/Tagging.md)
 - [UnextpathParameter](docs/UnextpathParameter.md)
 - [User](docs/User.md)
 - [UserFile](docs/UserFile.md)
 - [UserFileRequest](docs/UserFileRequest.md)
 - [UserRequest](docs/UserRequest.md)
 - [Workflow](docs/Workflow.md)
 - [WorkflowRequest](docs/WorkflowRequest.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="DownloadTokenInQueryString"></a>
### DownloadTokenInQueryString

- **Type**: API key
- **API key parameter name**: download_token
- **Location**: HTTP header

<a id="basicAuth"></a>
### basicAuth

- **Type**: HTTP basic authentication

<a id="cookieAuth"></a>
### cookieAuth

- **Type**: API key
- **API key parameter name**: sessionid
- **Location**: 

<a id="tokenAuth"></a>
### tokenAuth

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author

dev@babymri.org


