# coding: utf-8

# flake8: noqa
"""
    ChRIS Research Integration System: Ultron BackEnd (CUBE) API

    The ChRIS Ultron BackEnd (CUBE) is the core backend API of ChRIS. It manages ChRIS users, plugins, pipelines, and the provenance of data analyses as ChRIS feeds.

    The version of the OpenAPI document: ${GITHUB_REF_NAME:1}
    Contact: dev@babymri.org
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


# import models into model package
from chris_oag.models.auth_token import AuthToken
from chris_oag.models.auth_token_request import AuthTokenRequest
from chris_oag.models.blank_enum import BlankEnum
from chris_oag.models.bool_parameter import BoolParameter
from chris_oag.models.chris_instance import ChrisInstance
from chris_oag.models.comment import Comment
from chris_oag.models.comment_request import CommentRequest
from chris_oag.models.compute_resource import ComputeResource
from chris_oag.models.compute_resource_request import ComputeResourceRequest
from chris_oag.models.default_piping_bool_parameter import DefaultPipingBoolParameter
from chris_oag.models.default_piping_bool_parameter_request import DefaultPipingBoolParameterRequest
from chris_oag.models.default_piping_float_parameter import DefaultPipingFloatParameter
from chris_oag.models.default_piping_float_parameter_request import DefaultPipingFloatParameterRequest
from chris_oag.models.default_piping_int_parameter import DefaultPipingIntParameter
from chris_oag.models.default_piping_int_parameter_request import DefaultPipingIntParameterRequest
from chris_oag.models.default_piping_str_parameter import DefaultPipingStrParameter
from chris_oag.models.default_piping_str_parameter_request import DefaultPipingStrParameterRequest
from chris_oag.models.feed import Feed
from chris_oag.models.feed_group_permission import FeedGroupPermission
from chris_oag.models.feed_group_permission_request import FeedGroupPermissionRequest
from chris_oag.models.feed_request import FeedRequest
from chris_oag.models.feed_user_permission import FeedUserPermission
from chris_oag.models.feed_user_permission_request import FeedUserPermissionRequest
from chris_oag.models.file_browser_file import FileBrowserFile
from chris_oag.models.file_browser_file_group_permission import FileBrowserFileGroupPermission
from chris_oag.models.file_browser_file_group_permission_request import FileBrowserFileGroupPermissionRequest
from chris_oag.models.file_browser_file_request import FileBrowserFileRequest
from chris_oag.models.file_browser_file_user_permission import FileBrowserFileUserPermission
from chris_oag.models.file_browser_file_user_permission_request import FileBrowserFileUserPermissionRequest
from chris_oag.models.file_browser_folder import FileBrowserFolder
from chris_oag.models.file_browser_folder_group_permission import FileBrowserFolderGroupPermission
from chris_oag.models.file_browser_folder_group_permission_request import FileBrowserFolderGroupPermissionRequest
from chris_oag.models.file_browser_folder_request import FileBrowserFolderRequest
from chris_oag.models.file_browser_folder_user_permission import FileBrowserFolderUserPermission
from chris_oag.models.file_browser_folder_user_permission_request import FileBrowserFolderUserPermissionRequest
from chris_oag.models.file_browser_link_file import FileBrowserLinkFile
from chris_oag.models.file_browser_link_file_group_permission import FileBrowserLinkFileGroupPermission
from chris_oag.models.file_browser_link_file_group_permission_request import FileBrowserLinkFileGroupPermissionRequest
from chris_oag.models.file_browser_link_file_request import FileBrowserLinkFileRequest
from chris_oag.models.file_browser_link_file_user_permission import FileBrowserLinkFileUserPermission
from chris_oag.models.file_browser_link_file_user_permission_request import FileBrowserLinkFileUserPermissionRequest
from chris_oag.models.file_download_token import FileDownloadToken
from chris_oag.models.file_download_token_request import FileDownloadTokenRequest
from chris_oag.models.float_parameter import FloatParameter
from chris_oag.models.ftype_enum import FtypeEnum
from chris_oag.models.generic_default_piping_parameter import GenericDefaultPipingParameter
from chris_oag.models.generic_default_piping_parameter_value import GenericDefaultPipingParameterValue
from chris_oag.models.generic_parameter import GenericParameter
from chris_oag.models.group import Group
from chris_oag.models.group_request import GroupRequest
from chris_oag.models.group_user import GroupUser
from chris_oag.models.group_user_request import GroupUserRequest
from chris_oag.models.int_parameter import IntParameter
from chris_oag.models.note import Note
from chris_oag.models.note_request import NoteRequest
from chris_oag.models.pacs_file import PACSFile
from chris_oag.models.pacs_series import PACSSeries
from chris_oag.models.pacs_series_patient_sex import PACSSeriesPatientSex
from chris_oag.models.paginated_comment_list import PaginatedCommentList
from chris_oag.models.paginated_compute_resource_list import PaginatedComputeResourceList
from chris_oag.models.paginated_feed_group_permission_list import PaginatedFeedGroupPermissionList
from chris_oag.models.paginated_feed_list import PaginatedFeedList
from chris_oag.models.paginated_feed_user_permission_list import PaginatedFeedUserPermissionList
from chris_oag.models.paginated_file_browser_file_group_permission_list import PaginatedFileBrowserFileGroupPermissionList
from chris_oag.models.paginated_file_browser_file_list import PaginatedFileBrowserFileList
from chris_oag.models.paginated_file_browser_file_user_permission_list import PaginatedFileBrowserFileUserPermissionList
from chris_oag.models.paginated_file_browser_folder_group_permission_list import PaginatedFileBrowserFolderGroupPermissionList
from chris_oag.models.paginated_file_browser_folder_list import PaginatedFileBrowserFolderList
from chris_oag.models.paginated_file_browser_folder_user_permission_list import PaginatedFileBrowserFolderUserPermissionList
from chris_oag.models.paginated_file_browser_link_file_group_permission_list import PaginatedFileBrowserLinkFileGroupPermissionList
from chris_oag.models.paginated_file_browser_link_file_list import PaginatedFileBrowserLinkFileList
from chris_oag.models.paginated_file_browser_link_file_user_permission_list import PaginatedFileBrowserLinkFileUserPermissionList
from chris_oag.models.paginated_file_download_token_list import PaginatedFileDownloadTokenList
from chris_oag.models.paginated_generic_default_piping_parameter_list import PaginatedGenericDefaultPipingParameterList
from chris_oag.models.paginated_generic_parameter_list import PaginatedGenericParameterList
from chris_oag.models.paginated_group_list import PaginatedGroupList
from chris_oag.models.paginated_group_user_list import PaginatedGroupUserList
from chris_oag.models.paginated_pacs_file_list import PaginatedPACSFileList
from chris_oag.models.paginated_pacs_series_list import PaginatedPACSSeriesList
from chris_oag.models.paginated_pipeline_list import PaginatedPipelineList
from chris_oag.models.paginated_pipeline_source_file_list import PaginatedPipelineSourceFileList
from chris_oag.models.paginated_plugin_admin_list import PaginatedPluginAdminList
from chris_oag.models.paginated_plugin_instance_list import PaginatedPluginInstanceList
from chris_oag.models.paginated_plugin_instance_split_list import PaginatedPluginInstanceSplitList
from chris_oag.models.paginated_plugin_list import PaginatedPluginList
from chris_oag.models.paginated_plugin_meta_list import PaginatedPluginMetaList
from chris_oag.models.paginated_plugin_parameter_list import PaginatedPluginParameterList
from chris_oag.models.paginated_plugin_piping_list import PaginatedPluginPipingList
from chris_oag.models.paginated_tag_list import PaginatedTagList
from chris_oag.models.paginated_tagging_list import PaginatedTaggingList
from chris_oag.models.paginated_user_file_list import PaginatedUserFileList
from chris_oag.models.paginated_user_list import PaginatedUserList
from chris_oag.models.paginated_workflow_list import PaginatedWorkflowList
from chris_oag.models.path_parameter import PathParameter
from chris_oag.models.patient_sex_enum import PatientSexEnum
from chris_oag.models.permission_enum import PermissionEnum
from chris_oag.models.pipeline import Pipeline
from chris_oag.models.pipeline_custom_json import PipelineCustomJson
from chris_oag.models.pipeline_request import PipelineRequest
from chris_oag.models.pipeline_source_file import PipelineSourceFile
from chris_oag.models.pipeline_source_file_ftype import PipelineSourceFileFtype
from chris_oag.models.pipeline_source_file_request import PipelineSourceFileRequest
from chris_oag.models.plugin import Plugin
from chris_oag.models.plugin_admin import PluginAdmin
from chris_oag.models.plugin_admin_request import PluginAdminRequest
from chris_oag.models.plugin_instance import PluginInstance
from chris_oag.models.plugin_instance_request import PluginInstanceRequest
from chris_oag.models.plugin_instance_split import PluginInstanceSplit
from chris_oag.models.plugin_instance_split_request import PluginInstanceSplitRequest
from chris_oag.models.plugin_meta import PluginMeta
from chris_oag.models.plugin_parameter import PluginParameter
from chris_oag.models.plugin_parameter_default import PluginParameterDefault
from chris_oag.models.plugin_parameter_type import PluginParameterType
from chris_oag.models.plugin_piping import PluginPiping
from chris_oag.models.plugin_type import PluginType
from chris_oag.models.status_enum import StatusEnum
from chris_oag.models.str_parameter import StrParameter
from chris_oag.models.tag import Tag
from chris_oag.models.tag_request import TagRequest
from chris_oag.models.tagging import Tagging
from chris_oag.models.unextpath_parameter import UnextpathParameter
from chris_oag.models.user import User
from chris_oag.models.user_file import UserFile
from chris_oag.models.user_file_request import UserFileRequest
from chris_oag.models.user_request import UserRequest
from chris_oag.models.workflow import Workflow
from chris_oag.models.workflow_request import WorkflowRequest
